import net.colimbo.util.*;
public class Empresa{
	static Empleado[] nomina;
	private final int NUM_EMPLEADOS = 0;
	
	Empresa(int n){
		nomina = new Empleado[n];
	}
	
	static void listarEmpleados(){
		for(int i = 0;i <= nomina.length-1;i++)
			if(nomina[i] != null)
				System.out.println(i + " " + nomina[i]);
	}
	
	double calcularTotalSueldos(){
		double total = 0;
		for(int i = 0;i <= nomina.length -1 ; i++)
			if(nomina[i] != null){
				nomina[i].calcularSueldo();
				total += nomina[i].getSueldo();
			}
		return total;
	}
	
	public static void main(String[] args) throws java.io.IOException{
		//Declaraciones para la entrada por teclado
		java.io.BufferedReader teclado = new java.io.BufferedReader(new java.io.InputStreamReader(System.in));
		
		String tipoEmpleado;
		long id=0;
		String nom;
		double suel;
		double comp;
		int horas;
		
		
		//Crea una nueva empresa con un mximo de 10 empleados		
		Empresa  e = new Empresa(10);
		
		//Carga 5 empleados fijos o eventuales
		for(int i = 0; i <= 4; i++){
			//Se selecciona si el empleado es fijo o eventual
			System.out.print("Tipo de empleado (F/E):");
			tipoEmpleado = teclado.readLine();
			while(true)
				try{
					System.out.print("Id. empleado: ");			
					id = Long.parseLong(teclado.readLine());
					break;
				} catch(NumberFormatException excepcion){
					System.out.println("Introduzca un entero...");
					excepcion.printStackTrace();
					System.out.println(excepcion.getMessage());
					System.out.println(excepcion.toString());
					continue;
				}
			System.out.print("Nombre: ");			
			nom = teclado.readLine();
			if(tipoEmpleado.equals("F")){
				//Crea un nuevo empleado fijo
				System.out.print("Complemento: ");				
				comp = Double.parseDouble(teclado.readLine());
				System.out.print("Sueldo: ");			
				suel = Double.parseDouble(teclado.readLine());
				nomina[i] = new EmpleadoFijo(id,nom,comp);
				nomina[i].setSueldo(suel);
			}
			else{
				//Crea un nuevo empleado eventual
				System.out.print("Horas trabajadas: ");
				horas = Integer.parseInt(teclado.readLine());
				nomina[i] = new EmpleadoEventual(id,nom,horas);
			}
		}
		e.listarEmpleados();
		System.out.println(e.calcularTotalSueldos());
		e.listarEmpleados();
	}
}